import 'dart:async';

import 'package:oto/cli/commands/command_base.dart';
import 'package:dart_framework/utils/system_util.dart';

class CommandStart extends CommandBase {
  @override
  String get name => 'start';

  @override
  Future execute(List<String> parameters) {
    return simpleFuture;
  }

  @override
  String getDescription() {
    return ':::: Run as a service on the background.';
  }
}

class CommandStop extends CommandBase {
  @override
  String get name => 'stop';

  @override
  Future execute(List<String> parameters) {
    return simpleFuture;
  }

  @override
  String getDescription() {
    return ':::: Shut down the service currently running on the background.';
  }
}
